Get Qualification Session Details

Get the status of a `qualification_session` based on the `qualification_session_id`. ## Request Notes To get the status of a Qualification Session object, call the detail view with the ID of the qualification session returned by the [Qualification Session Completed](/api-reference/qualification-sessions/qualification-status-updated-webhook) webhook.

Authentication

x-truemed-api-keystring

Sales channel API key for merchant server-to-server authentication

Path parameters

qualification_session_idstringRequired
The qualification session ID from the URL path

Response

Successful response
qualification_session_idstring
The id of the qualification session.
statusenum

The status of the qualification session.

One of:

  • pending — The session was created; the shopper hasn’t completed the survey yet.
  • processing — The shopper completed the survey and it is under review.
  • approved — The shopper holds a valid Letter of Medical Necessity covering the items in this order.
  • rejected — The shopper is ineligible for a Letter of Medical Necessity for the items in this order.
charge_group_created_atdatetime or nullOptional
When the charge group was created.
created_atdatetime or nullOptional
When the qualification session was created.
customer_statusstring or nullOptional
The customer's status.
eligible_amountdouble or nullOptional
The eligible amount for this qualification.
emailstring or nullOptional
The email address of the consumer who completed the qualification session.
expires_atdatetime or nullOptional

The datetime at which the Letter-of-Medical-Necessity expires.

feedouble or nullOptional
The fee amount for this qualification.
lmn_reviewed_atdatetime or nullOptional
When the Letter of Medical Necessity was reviewed.
session_typestring or nullOptional
The type of qualification session.
skus_paramstring or nullOptional
The SKUs parameter from the qualification session.
sourcestring or nullOptional
The source provided in the qualification session redirect URL param.
stripe_invoice_idstring or nullOptional
The Stripe invoice ID associated with this qualification.
stripe_invoice_numberstring or nullOptional
The Stripe invoice number.
stripe_invoice_paid_atdatetime or nullOptional
When the Stripe invoice was paid.
user_business_idstring or nullOptional
The user's business ID.
user_idstring or nullOptional

The user_id provided in the qualification session redirect URL param.

user_namestring or nullOptional

The user’s name (may be null if PII is hidden).

Errors

400
Bad Request Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error
501
Not Implemented Error